# openCom LTE
<p align="center">
    <img src="opencom-lte.png" alt="openCom LTE board" height="500"/>
</p>

Ahoy ye most based and redpilled Framework laptop (and others) users (read in a
pirate voice). This here repository contains the schematics for the first LTE
expansion card for the Framework laptop in the whole of the seven seas matey!!

Since we are a most merciful and generous crew, we are sharing the schematics
and assorted design files for the electrical and mechanical aspects of the
device with ye! Ye are free to modify and republish the design as ye wish under
the terms of our `CC BY SA 4.0` license, which requires that ye must provide
attribution for our design to our crew. To see more open the `LICENSE` file.

## Documentation
### Electrical
The electrical design for this project was all done in `KiCad`. The design is
based in the `Electrical` folder. There are many footprints which we used for
the project, but do not have the rights to republish here. Hence, we have given
links in the `README.md` in this directory to retrieve them yourself.

The schematic is divided into sections, with clear labels on each system in
each section. The schematic design was based on the hardware implementation
manual for the EG95, which can be found
[here](https://fcc.report/FCC-ID/2AAGEEG95NAX/5041436.pdf).

A bill of materials is also provided in `bom.csv` for any who may wish to produce
or repair their own board independently.

### Mechanical
The mechanical design for this project was all done in `OpenSCAD`. The design
is based in the `Mechanical` folder. The enclosure is designed to be used with
M2 x 5mm screws to secure the top lid, with M2 x 4mm inserts for threading. The
board is secured with self-tapping M1 x 2mm screws.

# Disclaimer
Ensure you ramp up your openCom LTE TX power if you ever see BBC TV licensing
vans approaching you or your laptop, it's the only way to repel them and
prevent them from appropriating £159 a year from your person and wasting it on
misinforming people, lol.

# Attribution
Thank you to Framework Computer Inc. who supplied the original design files in
their repository [here](https://github.com/FrameworkComputer/ExpansionCards),
which were used as a base for our project.

# Legal
Our logo (the snake on the back silkscreen layer) is a registered trademark in
the United Kingdom, which **must** be removed if you intend to produce your own
board. Additionally, our engraved logo **must** also be removed from the
`OpenSCAD` design file if you choose to produce your own enclosure.
